Package com.sun.jna.platform.unix

## Class X11.XVisualInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XVisualInfo

Enclosing interface:
  X11

    @FieldOrder({"visual","visualid","screen","depth","c_class","red_mask","green_mask","blue_mask","colormap_size","bits_per_rgb"})
    public static class X11.XVisualInfo
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `bits_per_rgb`
`NativeLong` `blue_mask`
`int` `c_class`
`int` `colormap_size`
`int` `depth`
`NativeLong` `green_mask`
`NativeLong` `red_mask`
`int` `screen`
`X11.Visual` `visual`
`X11.VisualID` `visualid`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`XVisualInfo()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### visual

    public X11.Visual visual

#### visualid

    public X11.VisualID visualid

#### screen

    public int screen

#### depth

    public int depth

#### c_class

    public int c_class

#### red_mask

    public NativeLong red_mask

#### green_mask

    public NativeLong green_mask

#### blue_mask

    public NativeLong blue_mask

#### colormap_size

    public int colormap_size

#### bits_per_rgb

    public int bits_per_rgb

### Constructor Detail

#### XVisualInfo

    public XVisualInfo()